## org.apache.axis.types
Class Schema

    java.lang.Object
      |
      +--org.apache.axis.types.Schema

All Implemented Interfaces:
  java.io.Serializable

public class Schema
extends java.lang.Object
implements java.io.Serializable

Custom class for supporting XSD schema

Author:
  Davanum Srinivas <dims@yahoo.com>
See Also:
  Serialized Form

Constructor Summary
`Schema()`

Method Summary
`boolean` `equals(java.lang.Object obj)`
`MessageElement[]` `get_any()`
`static Deserializer` `getDeserializer(java.lang.String mechType, java.lang.Class _javaType, QName _xmlType)` Get Custom Deserializer
`Id` `getId()`
`static Serializer` `getSerializer(java.lang.String mechType, java.lang.Class _javaType, QName _xmlType)` Get Custom Serializer
`URI` `getTargetNamespace()`
`static TypeDesc` `getTypeDesc()` Return type metadata object
`NormalizedString` `getVersion()`
`int` `hashCode()`
`void` `set_any(MessageElement[] _any)`
`void` `setId(Id id)`
`void` `setTargetNamespace(URI targetNamespace)`
`void` `setVersion(NormalizedString version)`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Schema

    public Schema()

Method Detail

### get_any

    public MessageElement[] get_any()

### set_any

    public void set_any(MessageElement[] _any)

### getTargetNamespace

    public URI getTargetNamespace()

### setTargetNamespace

    public void setTargetNamespace(URI targetNamespace)

### getVersion

    public NormalizedString getVersion()

### setVersion

    public void setVersion(NormalizedString version)

### getId

    public Id getId()

### setId

    public void setId(Id id)

### equals

    public boolean equals(java.lang.Object obj)

  Overrides:
    `equals` in class `java.lang.Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

### getTypeDesc

    public static TypeDesc getTypeDesc()

  Return type metadata object

### getSerializer

    public static Serializer getSerializer(java.lang.String mechType,
                                           java.lang.Class _javaType,
                                           QName _xmlType)

  Get Custom Serializer

### getDeserializer

    public static Deserializer getDeserializer(java.lang.String mechType,
                                               java.lang.Class _javaType,
                                               QName _xmlType)

  Get Custom Deserializer

Copyright © 2003 Apache Web Services Project. All Rights Reserved.